%define version 0.5.2.3
%define release 1
%define name minkowsky-client

Distribution: SuSE Linux 7.1 (PPC)
Name: %{name}

Group: Applications/Office 
Provides: %{name}
Version: %{version}
Release: %{release}
Summary: Client-application of Minkowsky groupware/PIM software 
Source: http://www.r-goetz.de/minkowsky/src/minkowsky-client-%{version}.tar.gz
URL: http://www.r-goetz.de/minkowsky
BuildRoot: /home/goetz/rpm/tmp/minko-buildroot 
License: GPL
Requires: shellutl print_daemon a2ps a2ps-bin

%description 
Minkowsky is a combined tool to coordinate Calendars, Task lists and addresses
of groups (e.g. companies) within a LAN. Its a client server application. And
this is the client part.
Note the online documentation is provided in a seperate packaqe

%prep 
rm -rf $RPM_BUILD_ROOT 
%setup -n %{name}-%{version}


%build 
unixX11/doBuild.sh  /opt/minkowsky /usr/bin 41999 localhost y $RPM_BUILD_ROOT


%install 
%makeinstall

%pre
test -e /etc/minkowsky && mv /etc/minkowsky /etc/minkowsky.prv || /bin/true

%post
echo postinstall
mv /opt/minkowsky/client/postInstall.sh /tmp
chmod u+rx /tmp/postInstall.sh
/tmp/postInstall.sh /etc/minkowsky.prv /opt/minkowsky /usr/bin
rm /tmp/postInstall.sh


%preun
touch /opt/minkowsky/client/postInstall.sh
cp /etc/minkowsky /etc/minkowsky.keep

%postun
cat /etc/minkowsky.keep |egrep -v "^MINKO" > /etc/minkowsky
rm /etc/minkowsky.keep

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 

%config /etc/minkowsky.client
/etc/ppp/peers/agenda2Minkowsky

/opt/minkowsky/



%changelog 

